<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab␊
 * Copyright (C) 2015 - Scilab Enterprises - Sylvain GENIN
 *
 * Copyright 2015-2016 Scilab Enterprises
 * This work is licensed under a Creative Commons Attribution-NoDerivatives 4.0 International License.
 * http://creativecommons.org/licenses/by-nd/4.0/legalcode
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns3="http://www.w3.org/1999/xhtml" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="findAllInstruments" xml:lang="en">
    <refnamediv>
        <refname>findAllInstruments</refname>
        <refpurpose>Returns the addresses of all connected devices.</refpurpose>
    </refnamediv>
    <refsynopsisdiv>
        <title>Calling Sequence</title>
        <synopsis>[status, deviceAddrs] = findAllInstruments()</synopsis>
    </refsynopsisdiv>
    <refsection>
        <title>Arguments</title>
        <variablelist>
            <varlistentry>
                <term>status</term>
                <listitem>
                    <para>a real containing the status of the operation.</para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>deviceAddrs</term>
                <listitem>
                    <para>a matrix of string containing the addresses of all connected devices.</para>
                </listitem>
            </varlistentry>
        </variablelist>
    </refsection>
    <refsection>
        <title>Description</title>
        <para>This macro returns the adress (or descriptor) of each connected device. An empty matrix [] is returned if no device is connected.</para>
    </refsection>
    <refsection>
        <title>Examples</title>
        <programlisting role="example">[status, deviceDescriptors] = findAllInstruments()</programlisting>
        <screen><![CDATA[output example:
!TCPIP0::127.0.0.1::TEST::INSTR  !
!                                !
!ASRL1::INSTR                    !
!                                !
!ASRL4::INSTR                    !]]></screen>
    </refsection>
</refentry>
